> For the complete documentation index, see [llms.txt](https://glyue.docs.sandboxbanking.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://glyue.docs.sandboxbanking.com/integration-gateway-platform-reference/integration_configuration.md).

# Admin Components

### Global Config

The base configuration for Integration Gateway.

* Email configuration for reports
* Storing of request & response payloads to Integration Gateway

### Integration Configs

Configures email notifications and data retention. [Integration Config](/reference/integration_components/integration-config.md)

### Integration Permissions

User permissions must be set per integration. Options are `read`, `write`, `execute`, and `debug`. By default, the user who creates the integration has full integration permissions.

* `read` — Allows the user to see the contents of the integration, including its Service Requests, Field Mappings, Value Mapping Sets, etc.
* `write` — Allows the user to modify any aspect of the integration
* `execute` — Allows the user to manually trigger the integration using the *Run Integration* feature
* `debug` — Allows the user to see run histories from past integration runs

### Adapter Configurations

Adapter configurations securely store credentials for use with service requests. Please see associated adapter documentation for the correct fields to use.

### Adapter Configuration Bindings

The relationship between the integration and adapter configuration. Integrations will use the provided adapter config to make any associated service request calls. This configuration can be overridden within integrations with special variable [**adapter\_config**](broken://pages/CWJw9yOYSuXOFGJaoSTS#adapterconfig)**.**

### Web Service Endpoints

Integrations can be triggered from their HTTP POST method for the integration `path_name`. This endpoint exposes integrations to be called using all available HTTP verbs at use-defined paths. See details at [Web Service Endpoints](/reference/web-service-endpoints.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://glyue.docs.sandboxbanking.com/integration-gateway-platform-reference/integration_configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
